<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.system.mapper.task.TkCommonTaskMapper">
  <resultMap id="BaseResultMap" type="com.ruoyi.system.domain.task.TkCommonTask">
    <!--@mbg.generated-->
    <!--@Table tk_common_task-->
    <id column="id" property="id" />
    <result column="base_id" property="baseId" />
    <result column="tk_id" property="tkId" />
    <result column="tk_status" property="tkStatus" />
    <result column="tk_name" property="tkName" />
    <result column="release_user_id" property="releaseUserId" />
    <result column="release_user_name" property="releaseUserName" />
    <result column="assigned_user_id" property="assignedUserId" />
    <result column="assigned_user_name" property="assignedUserName" />
    <result column="assigned_dept_ids" property="assignedDeptIds" />
    <result column="assigned_dept_names" property="assignedDeptNames" />
    <result column="perform_user_id" property="performUserId" />
    <result column="perform_user_name" property="performUserName" />
    <result column="assigned_end_time" property="assignedEndTime" />
    <result column="assigned_time" property="assignedTime" />
    <result column="assigned_node" property="assignedNode" />
    <result column="perform_picture" property="performPicture" />
    <result column="perform_node" property="performNode" />
    <result column="zp_verification_user_id" property="zpVerificationUserId" />
    <result column="zp_verification_user_name" property="zpVerificationUserName" />
    <result column="verification_user_id" property="verificationUserId" />
    <result column="verification_user_name" property="verificationUserName" />
    <result column="verification_end_time" property="verificationEndTime" />
    <result column="verification_time" property="verificationTime" />
    <result column="verification_node" property="verificationNode" />
    <result column="verification_status" property="verificationStatus" />
    <result column="tk_score" property="tkScore" />
    <result column="end_node" property="endNode" />
    <result column="end_time" property="endTime" />
    <result column="priority_type" property="priorityType" />
    <result column="belong_grid" property="belongGrid" />
    <result column="matter_type" property="matterType" />
    <result column="matter_id" property="matterId" />
    <result column="matter_name" property="matterName" />
    <result column="time_delay" property="timeDelay" />
    <result column="is_delete" property="isDelete" />
    <result column="release_time" property="releaseTime" />
    <result column="tk_address" property="tkAddress" />
    <result column="handle_type" property="handleType" />
    <result column="tk_detail" property="tkDetail" />
    <result column="file_path" property="filePath" />
    <result column="oversee_id" property="overseeId" />
    <result column="create_time" property="createTime" />
    <result column="create_by" property="createBy" />
    <result column="update_time" property="updateTime" />
    <result column="update_by" property="updateBy" />
    <result column="standby1" property="standby1" />
    <result column="standby2" property="standby2" />
    <result column="standby3" property="standby3" />
    <result column="standby4" property="standby4" />
    <result column="standby5" property="standby5" />
    <result column="round_subtask_id" property="roundSubtaskId" />
    <result column="round_subtask_code" property="roundSubtaskCode" />
    <result column="wg_code" property="wgCode" />
    <result column="longitude" property="longitude" />
    <result column="latitude" property="latitude" />
    <result column="pj_person_id" property="pjPersonId" />
    <result column="pj_person_name" property="pjPersonName" />
    <result column="release_user_role_num" property="releaseUserRoleNum" />
    <result column="accept_time" property="acceptTime" />
    <result column="litigation_type" property="litigationType" />
    <result column="complaints_person" property="complaintsPerson" />
    <result column="complaints_phone" property="complaintsPhone" />
    <result column="object_id" property="objectId" />
    <result column="come_from" property="comeFrom" />
    <result column="wg_parent_id" property="wgParentId" />
    <result column="wg_parent_name" property="wgParentName" />
    <result column="parent_mattetr_id" property="parentMattetrId" />
    <result column="parent_mattetr_name" property="parentMattetrName" />
    <result column="gldx_id" property="gldxId" />
    <result column="xietiao" property="xietiao" />
    <result column="tongzhi_status" property="tongzhiStatus" />
    <result column="round_matter_id" property="roundMatterId" />
    <result column="form_id" property="formId" />
    <result column="advice_id" property="adviceId" />
    <result column="num" property="num" />
    <result column="waitingTime" property="waitingtime" />
    <result column="planTime" property="plantime" />
    <result column="updateTime" property="updatetime" />
    <result column="incomingPhone" property="incomingphone" />
    <result column="formStatus" property="formstatus" />
    <result column="flag" property="flag" />
    <result column="qianshouOrBohui" property="qianshouorbohui" />
    <result column="isDelayTime" property="isdelaytime" />
    <result column="hecha_pic" property="hechaPic" />
    <result column="is_youxiao" property="isYouxiao" />
    <result column="sq_back" property="sqBack" />
    <result column="gs_type" property="gsType" />
    <result column="is_hst" property="isHst" />
    <result column="pingfen" property="pingfen" />
    <result column="pingfenreason" property="pingfenreason" />
    <result column="wx_user_id" property="wxUserId" />
    <result column="guishu_code" property="guishuCode" />
    <result column="app_user_id" property="appUserId" />
    <result column="is_zhuanzhifa" property="isZhuanzhifa" />
    <result column="is_zhifalian" property="isZhifalian" />
    <result column="zhifashuoming" property="zhifashuoming" />
    <result column="perform_user_type" property="performUserType" />
    <result column="task_type" property="taskType" />
    <result column="qpr_ids" property="qprIds" />
    <result column="qpr_id" property="qprId" />
    <result column="qpr_name" property="qprName" />
    <result column="qpr_time" property="qprTime" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--@mbg.generated-->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--@mbg.generated-->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    id, base_id, tk_id, tk_status, tk_name, release_user_id, release_user_name, assigned_user_id, 
    assigned_user_name, assigned_dept_ids, assigned_dept_names, perform_user_id, perform_user_name, 
    assigned_end_time, assigned_time, assigned_node, perform_picture, perform_node, zp_verification_user_id, 
    zp_verification_user_name, verification_user_id, verification_user_name, verification_end_time, 
    verification_time, verification_node, verification_status, tk_score, end_node, end_time, 
    priority_type, belong_grid, matter_type, matter_id, matter_name, time_delay, is_delete, 
    release_time, tk_address, handle_type, tk_detail, file_path, oversee_id, create_time, 
    create_by, update_time, update_by, standby1, standby2, standby3, standby4, standby5, 
    round_subtask_id, round_subtask_code, wg_code, longitude, latitude, pj_person_id, 
    pj_person_name, release_user_role_num, accept_time, litigation_type, complaints_person, 
    complaints_phone, object_id, come_from, wg_parent_id, wg_parent_name, parent_mattetr_id, 
    parent_mattetr_name, gldx_id, xietiao, tongzhi_status, round_matter_id, form_id, 
    advice_id, num, waitingTime, planTime, updateTime, incomingPhone, formStatus, flag, 
    qianshouOrBohui, isDelayTime, hecha_pic, is_youxiao, sq_back, gs_type, is_hst, pingfen, 
    pingfenreason, wx_user_id, guishu_code, app_user_id, is_zhuanzhifa, is_zhifalian, 
    zhifashuoming, perform_user_type, task_type, qpr_ids, qpr_id, qpr_name, qpr_time
  </sql>
  <select id="selectByExample" parameterType="com.ruoyi.system.domain.task.TkCommonTaskExample" resultMap="BaseResultMap">
    <!--@mbg.generated-->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from tk_common_task
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.String" resultMap="BaseResultMap">
    <!--@mbg.generated-->
    select 
    <include refid="Base_Column_List" />
    from tk_common_task
    where id = #{id}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.String">
    <!--@mbg.generated-->
    delete from tk_common_task
    where id = #{id}
  </delete>
  <delete id="deleteByExample" parameterType="com.ruoyi.system.domain.task.TkCommonTaskExample">
    <!--@mbg.generated-->
    delete from tk_common_task
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.ruoyi.system.domain.task.TkCommonTask">
    <!--@mbg.generated-->
    insert into tk_common_task (id, base_id, tk_id, tk_status, tk_name, release_user_id, release_user_name, 
      assigned_user_id, assigned_user_name, assigned_dept_ids, assigned_dept_names, 
      perform_user_id, perform_user_name, assigned_end_time, assigned_time, assigned_node, 
      perform_picture, perform_node, zp_verification_user_id, zp_verification_user_name, 
      verification_user_id, verification_user_name, verification_end_time, verification_time, 
      verification_node, verification_status, tk_score, end_node, end_time, 
      priority_type, belong_grid, matter_type, matter_id, matter_name, time_delay, 
      is_delete, release_time, tk_address, handle_type, tk_detail, file_path, 
      oversee_id, create_time, create_by, update_time, update_by, standby1, 
      standby2, standby3, standby4, standby5, round_subtask_id, round_subtask_code, 
      wg_code, longitude, latitude, pj_person_id, pj_person_name, release_user_role_num, 
      accept_time, litigation_type, complaints_person, complaints_phone, object_id, 
      come_from, wg_parent_id, wg_parent_name, parent_mattetr_id, parent_mattetr_name, 
      gldx_id, xietiao, tongzhi_status, round_matter_id, form_id, advice_id, 
      num, waitingTime, planTime, updateTime, incomingPhone, formStatus, 
      flag, qianshouOrBohui, isDelayTime, hecha_pic, is_youxiao, sq_back, 
      gs_type, is_hst, pingfen, pingfenreason, wx_user_id, guishu_code, 
      app_user_id, is_zhuanzhifa, is_zhifalian, zhifashuoming, perform_user_type, 
      task_type, qpr_ids, qpr_id, qpr_name, qpr_time)
    values (#{id}, #{baseId}, #{tkId}, #{tkStatus}, #{tkName}, #{releaseUserId}, #{releaseUserName}, 
      #{assignedUserId}, #{assignedUserName}, #{assignedDeptIds}, #{assignedDeptNames}, 
      #{performUserId}, #{performUserName}, #{assignedEndTime}, #{assignedTime}, #{assignedNode}, 
      #{performPicture}, #{performNode}, #{zpVerificationUserId}, #{zpVerificationUserName}, 
      #{verificationUserId}, #{verificationUserName}, #{verificationEndTime}, #{verificationTime}, 
      #{verificationNode}, #{verificationStatus}, #{tkScore}, #{endNode}, #{endTime}, 
      #{priorityType}, #{belongGrid}, #{matterType}, #{matterId}, #{matterName}, #{timeDelay}, 
      #{isDelete}, #{releaseTime}, #{tkAddress}, #{handleType}, #{tkDetail}, #{filePath}, 
      #{overseeId}, #{createTime}, #{createBy}, #{updateTime}, #{updateBy}, #{standby1}, 
      #{standby2}, #{standby3}, #{standby4}, #{standby5}, #{roundSubtaskId}, #{roundSubtaskCode}, 
      #{wgCode}, #{longitude}, #{latitude}, #{pjPersonId}, #{pjPersonName}, #{releaseUserRoleNum}, 
      #{acceptTime}, #{litigationType}, #{complaintsPerson}, #{complaintsPhone}, #{objectId}, 
      #{comeFrom}, #{wgParentId}, #{wgParentName}, #{parentMattetrId}, #{parentMattetrName}, 
      #{gldxId}, #{xietiao}, #{tongzhiStatus}, #{roundMatterId}, #{formId}, #{adviceId}, 
      #{num}, #{waitingtime}, #{plantime}, #{updatetime}, #{incomingphone}, #{formstatus}, 
      #{flag}, #{qianshouorbohui}, #{isdelaytime}, #{hechaPic}, #{isYouxiao}, #{sqBack}, 
      #{gsType}, #{isHst}, #{pingfen}, #{pingfenreason}, #{wxUserId}, #{guishuCode}, 
      #{appUserId}, #{isZhuanzhifa}, #{isZhifalian}, #{zhifashuoming}, #{performUserType}, 
      #{taskType}, #{qprIds}, #{qprId}, #{qprName}, #{qprTime})
  </insert>
  <insert id="insertSelective" parameterType="com.ruoyi.system.domain.task.TkCommonTask">
    <!--@mbg.generated-->
    insert into tk_common_task
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null and id != ''">
        id,
      </if>
      <if test="baseId != null and baseId != ''">
        base_id,
      </if>
      <if test="tkId != null and tkId != ''">
        tk_id,
      </if>
      <if test="tkStatus != null">
        tk_status,
      </if>
      <if test="tkName != null and tkName != ''">
        tk_name,
      </if>
      <if test="releaseUserId != null and releaseUserId != ''">
        release_user_id,
      </if>
      <if test="releaseUserName != null and releaseUserName != ''">
        release_user_name,
      </if>
      <if test="assignedUserId != null and assignedUserId != ''">
        assigned_user_id,
      </if>
      <if test="assignedUserName != null and assignedUserName != ''">
        assigned_user_name,
      </if>
      <if test="assignedDeptIds != null and assignedDeptIds != ''">
        assigned_dept_ids,
      </if>
      <if test="assignedDeptNames != null and assignedDeptNames != ''">
        assigned_dept_names,
      </if>
      <if test="performUserId != null and performUserId != ''">
        perform_user_id,
      </if>
      <if test="performUserName != null and performUserName != ''">
        perform_user_name,
      </if>
      <if test="assignedEndTime != null">
        assigned_end_time,
      </if>
      <if test="assignedTime != null">
        assigned_time,
      </if>
      <if test="assignedNode != null and assignedNode != ''">
        assigned_node,
      </if>
      <if test="performPicture != null and performPicture != ''">
        perform_picture,
      </if>
      <if test="performNode != null and performNode != ''">
        perform_node,
      </if>
      <if test="zpVerificationUserId != null and zpVerificationUserId != ''">
        zp_verification_user_id,
      </if>
      <if test="zpVerificationUserName != null and zpVerificationUserName != ''">
        zp_verification_user_name,
      </if>
      <if test="verificationUserId != null and verificationUserId != ''">
        verification_user_id,
      </if>
      <if test="verificationUserName != null and verificationUserName != ''">
        verification_user_name,
      </if>
      <if test="verificationEndTime != null">
        verification_end_time,
      </if>
      <if test="verificationTime != null">
        verification_time,
      </if>
      <if test="verificationNode != null and verificationNode != ''">
        verification_node,
      </if>
      <if test="verificationStatus != null">
        verification_status,
      </if>
      <if test="tkScore != null">
        tk_score,
      </if>
      <if test="endNode != null and endNode != ''">
        end_node,
      </if>
      <if test="endTime != null">
        end_time,
      </if>
      <if test="priorityType != null">
        priority_type,
      </if>
      <if test="belongGrid != null and belongGrid != ''">
        belong_grid,
      </if>
      <if test="matterType != null">
        matter_type,
      </if>
      <if test="matterId != null and matterId != ''">
        matter_id,
      </if>
      <if test="matterName != null and matterName != ''">
        matter_name,
      </if>
      <if test="timeDelay != null">
        time_delay,
      </if>
      <if test="isDelete != null">
        is_delete,
      </if>
      <if test="releaseTime != null">
        release_time,
      </if>
      <if test="tkAddress != null and tkAddress != ''">
        tk_address,
      </if>
      <if test="handleType != null">
        handle_type,
      </if>
      <if test="tkDetail != null and tkDetail != ''">
        tk_detail,
      </if>
      <if test="filePath != null and filePath != ''">
        file_path,
      </if>
      <if test="overseeId != null and overseeId != ''">
        oversee_id,
      </if>
      <if test="createTime != null">
        create_time,
      </if>
      <if test="createBy != null and createBy != ''">
        create_by,
      </if>
      <if test="updateTime != null">
        update_time,
      </if>
      <if test="updateBy != null and updateBy != ''">
        update_by,
      </if>
      <if test="standby1 != null and standby1 != ''">
        standby1,
      </if>
      <if test="standby2 != null and standby2 != ''">
        standby2,
      </if>
      <if test="standby3 != null and standby3 != ''">
        standby3,
      </if>
      <if test="standby4 != null and standby4 != ''">
        standby4,
      </if>
      <if test="standby5 != null and standby5 != ''">
        standby5,
      </if>
      <if test="roundSubtaskId != null and roundSubtaskId != ''">
        round_subtask_id,
      </if>
      <if test="roundSubtaskCode != null and roundSubtaskCode != ''">
        round_subtask_code,
      </if>
      <if test="wgCode != null and wgCode != ''">
        wg_code,
      </if>
      <if test="longitude != null and longitude != ''">
        longitude,
      </if>
      <if test="latitude != null and latitude != ''">
        latitude,
      </if>
      <if test="pjPersonId != null and pjPersonId != ''">
        pj_person_id,
      </if>
      <if test="pjPersonName != null and pjPersonName != ''">
        pj_person_name,
      </if>
      <if test="releaseUserRoleNum != null">
        release_user_role_num,
      </if>
      <if test="acceptTime != null">
        accept_time,
      </if>
      <if test="litigationType != null">
        litigation_type,
      </if>
      <if test="complaintsPerson != null and complaintsPerson != ''">
        complaints_person,
      </if>
      <if test="complaintsPhone != null and complaintsPhone != ''">
        complaints_phone,
      </if>
      <if test="objectId != null and objectId != ''">
        object_id,
      </if>
      <if test="comeFrom != null">
        come_from,
      </if>
      <if test="wgParentId != null and wgParentId != ''">
        wg_parent_id,
      </if>
      <if test="wgParentName != null and wgParentName != ''">
        wg_parent_name,
      </if>
      <if test="parentMattetrId != null and parentMattetrId != ''">
        parent_mattetr_id,
      </if>
      <if test="parentMattetrName != null and parentMattetrName != ''">
        parent_mattetr_name,
      </if>
      <if test="gldxId != null and gldxId != ''">
        gldx_id,
      </if>
      <if test="xietiao != null and xietiao != ''">
        xietiao,
      </if>
      <if test="tongzhiStatus != null and tongzhiStatus != ''">
        tongzhi_status,
      </if>
      <if test="roundMatterId != null and roundMatterId != ''">
        round_matter_id,
      </if>
      <if test="formId != null and formId != ''">
        form_id,
      </if>
      <if test="adviceId != null and adviceId != ''">
        advice_id,
      </if>
      <if test="num != null and num != ''">
        num,
      </if>
      <if test="waitingtime != null">
        waitingTime,
      </if>
      <if test="plantime != null">
        planTime,
      </if>
      <if test="updatetime != null">
        updateTime,
      </if>
      <if test="incomingphone != null and incomingphone != ''">
        incomingPhone,
      </if>
      <if test="formstatus != null and formstatus != ''">
        formStatus,
      </if>
      <if test="flag != null">
        flag,
      </if>
      <if test="qianshouorbohui != null">
        qianshouOrBohui,
      </if>
      <if test="isdelaytime != null">
        isDelayTime,
      </if>
      <if test="hechaPic != null and hechaPic != ''">
        hecha_pic,
      </if>
      <if test="isYouxiao != null">
        is_youxiao,
      </if>
      <if test="sqBack != null">
        sq_back,
      </if>
      <if test="gsType != null">
        gs_type,
      </if>
      <if test="isHst != null">
        is_hst,
      </if>
      <if test="pingfen != null">
        pingfen,
      </if>
      <if test="pingfenreason != null and pingfenreason != ''">
        pingfenreason,
      </if>
      <if test="wxUserId != null and wxUserId != ''">
        wx_user_id,
      </if>
      <if test="guishuCode != null and guishuCode != ''">
        guishu_code,
      </if>
      <if test="appUserId != null and appUserId != ''">
        app_user_id,
      </if>
      <if test="isZhuanzhifa != null">
        is_zhuanzhifa,
      </if>
      <if test="isZhifalian != null">
        is_zhifalian,
      </if>
      <if test="zhifashuoming != null and zhifashuoming != ''">
        zhifashuoming,
      </if>
      <if test="performUserType != null and performUserType != ''">
        perform_user_type,
      </if>
      <if test="taskType != null and taskType != ''">
        task_type,
      </if>
      <if test="qprIds != null and qprIds != ''">
        qpr_ids,
      </if>
      <if test="qprId != null and qprId != ''">
        qpr_id,
      </if>
      <if test="qprName != null and qprName != ''">
        qpr_name,
      </if>
      <if test="qprTime != null">
        qpr_time,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null and id != ''">
        #{id},
      </if>
      <if test="baseId != null and baseId != ''">
        #{baseId},
      </if>
      <if test="tkId != null and tkId != ''">
        #{tkId},
      </if>
      <if test="tkStatus != null">
        #{tkStatus},
      </if>
      <if test="tkName != null and tkName != ''">
        #{tkName},
      </if>
      <if test="releaseUserId != null and releaseUserId != ''">
        #{releaseUserId},
      </if>
      <if test="releaseUserName != null and releaseUserName != ''">
        #{releaseUserName},
      </if>
      <if test="assignedUserId != null and assignedUserId != ''">
        #{assignedUserId},
      </if>
      <if test="assignedUserName != null and assignedUserName != ''">
        #{assignedUserName},
      </if>
      <if test="assignedDeptIds != null and assignedDeptIds != ''">
        #{assignedDeptIds},
      </if>
      <if test="assignedDeptNames != null and assignedDeptNames != ''">
        #{assignedDeptNames},
      </if>
      <if test="performUserId != null and performUserId != ''">
        #{performUserId},
      </if>
      <if test="performUserName != null and performUserName != ''">
        #{performUserName},
      </if>
      <if test="assignedEndTime != null">
        #{assignedEndTime},
      </if>
      <if test="assignedTime != null">
        #{assignedTime},
      </if>
      <if test="assignedNode != null and assignedNode != ''">
        #{assignedNode},
      </if>
      <if test="performPicture != null and performPicture != ''">
        #{performPicture},
      </if>
      <if test="performNode != null and performNode != ''">
        #{performNode},
      </if>
      <if test="zpVerificationUserId != null and zpVerificationUserId != ''">
        #{zpVerificationUserId},
      </if>
      <if test="zpVerificationUserName != null and zpVerificationUserName != ''">
        #{zpVerificationUserName},
      </if>
      <if test="verificationUserId != null and verificationUserId != ''">
        #{verificationUserId},
      </if>
      <if test="verificationUserName != null and verificationUserName != ''">
        #{verificationUserName},
      </if>
      <if test="verificationEndTime != null">
        #{verificationEndTime},
      </if>
      <if test="verificationTime != null">
        #{verificationTime},
      </if>
      <if test="verificationNode != null and verificationNode != ''">
        #{verificationNode},
      </if>
      <if test="verificationStatus != null">
        #{verificationStatus},
      </if>
      <if test="tkScore != null">
        #{tkScore},
      </if>
      <if test="endNode != null and endNode != ''">
        #{endNode},
      </if>
      <if test="endTime != null">
        #{endTime},
      </if>
      <if test="priorityType != null">
        #{priorityType},
      </if>
      <if test="belongGrid != null and belongGrid != ''">
        #{belongGrid},
      </if>
      <if test="matterType != null">
        #{matterType},
      </if>
      <if test="matterId != null and matterId != ''">
        #{matterId},
      </if>
      <if test="matterName != null and matterName != ''">
        #{matterName},
      </if>
      <if test="timeDelay != null">
        #{timeDelay},
      </if>
      <if test="isDelete != null">
        #{isDelete},
      </if>
      <if test="releaseTime != null">
        #{releaseTime},
      </if>
      <if test="tkAddress != null and tkAddress != ''">
        #{tkAddress},
      </if>
      <if test="handleType != null">
        #{handleType},
      </if>
      <if test="tkDetail != null and tkDetail != ''">
        #{tkDetail},
      </if>
      <if test="filePath != null and filePath != ''">
        #{filePath},
      </if>
      <if test="overseeId != null and overseeId != ''">
        #{overseeId},
      </if>
      <if test="createTime != null">
        #{createTime},
      </if>
      <if test="createBy != null and createBy != ''">
        #{createBy},
      </if>
      <if test="updateTime != null">
        #{updateTime},
      </if>
      <if test="updateBy != null and updateBy != ''">
        #{updateBy},
      </if>
      <if test="standby1 != null and standby1 != ''">
        #{standby1},
      </if>
      <if test="standby2 != null and standby2 != ''">
        #{standby2},
      </if>
      <if test="standby3 != null and standby3 != ''">
        #{standby3},
      </if>
      <if test="standby4 != null and standby4 != ''">
        #{standby4},
      </if>
      <if test="standby5 != null and standby5 != ''">
        #{standby5},
      </if>
      <if test="roundSubtaskId != null and roundSubtaskId != ''">
        #{roundSubtaskId},
      </if>
      <if test="roundSubtaskCode != null and roundSubtaskCode != ''">
        #{roundSubtaskCode},
      </if>
      <if test="wgCode != null and wgCode != ''">
        #{wgCode},
      </if>
      <if test="longitude != null and longitude != ''">
        #{longitude},
      </if>
      <if test="latitude != null and latitude != ''">
        #{latitude},
      </if>
      <if test="pjPersonId != null and pjPersonId != ''">
        #{pjPersonId},
      </if>
      <if test="pjPersonName != null and pjPersonName != ''">
        #{pjPersonName},
      </if>
      <if test="releaseUserRoleNum != null">
        #{releaseUserRoleNum},
      </if>
      <if test="acceptTime != null">
        #{acceptTime},
      </if>
      <if test="litigationType != null">
        #{litigationType},
      </if>
      <if test="complaintsPerson != null and complaintsPerson != ''">
        #{complaintsPerson},
      </if>
      <if test="complaintsPhone != null and complaintsPhone != ''">
        #{complaintsPhone},
      </if>
      <if test="objectId != null and objectId != ''">
        #{objectId},
      </if>
      <if test="comeFrom != null">
        #{comeFrom},
      </if>
      <if test="wgParentId != null and wgParentId != ''">
        #{wgParentId},
      </if>
      <if test="wgParentName != null and wgParentName != ''">
        #{wgParentName},
      </if>
      <if test="parentMattetrId != null and parentMattetrId != ''">
        #{parentMattetrId},
      </if>
      <if test="parentMattetrName != null and parentMattetrName != ''">
        #{parentMattetrName},
      </if>
      <if test="gldxId != null and gldxId != ''">
        #{gldxId},
      </if>
      <if test="xietiao != null and xietiao != ''">
        #{xietiao},
      </if>
      <if test="tongzhiStatus != null and tongzhiStatus != ''">
        #{tongzhiStatus},
      </if>
      <if test="roundMatterId != null and roundMatterId != ''">
        #{roundMatterId},
      </if>
      <if test="formId != null and formId != ''">
        #{formId},
      </if>
      <if test="adviceId != null and adviceId != ''">
        #{adviceId},
      </if>
      <if test="num != null and num != ''">
        #{num},
      </if>
      <if test="waitingtime != null">
        #{waitingtime},
      </if>
      <if test="plantime != null">
        #{plantime},
      </if>
      <if test="updatetime != null">
        #{updatetime},
      </if>
      <if test="incomingphone != null and incomingphone != ''">
        #{incomingphone},
      </if>
      <if test="formstatus != null and formstatus != ''">
        #{formstatus},
      </if>
      <if test="flag != null">
        #{flag},
      </if>
      <if test="qianshouorbohui != null">
        #{qianshouorbohui},
      </if>
      <if test="isdelaytime != null">
        #{isdelaytime},
      </if>
      <if test="hechaPic != null and hechaPic != ''">
        #{hechaPic},
      </if>
      <if test="isYouxiao != null">
        #{isYouxiao},
      </if>
      <if test="sqBack != null">
        #{sqBack},
      </if>
      <if test="gsType != null">
        #{gsType},
      </if>
      <if test="isHst != null">
        #{isHst},
      </if>
      <if test="pingfen != null">
        #{pingfen},
      </if>
      <if test="pingfenreason != null and pingfenreason != ''">
        #{pingfenreason},
      </if>
      <if test="wxUserId != null and wxUserId != ''">
        #{wxUserId},
      </if>
      <if test="guishuCode != null and guishuCode != ''">
        #{guishuCode},
      </if>
      <if test="appUserId != null and appUserId != ''">
        #{appUserId},
      </if>
      <if test="isZhuanzhifa != null">
        #{isZhuanzhifa},
      </if>
      <if test="isZhifalian != null">
        #{isZhifalian},
      </if>
      <if test="zhifashuoming != null and zhifashuoming != ''">
        #{zhifashuoming},
      </if>
      <if test="performUserType != null and performUserType != ''">
        #{performUserType},
      </if>
      <if test="taskType != null and taskType != ''">
        #{taskType},
      </if>
      <if test="qprIds != null and qprIds != ''">
        #{qprIds},
      </if>
      <if test="qprId != null and qprId != ''">
        #{qprId},
      </if>
      <if test="qprName != null and qprName != ''">
        #{qprName},
      </if>
      <if test="qprTime != null">
        #{qprTime},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.ruoyi.system.domain.task.TkCommonTaskExample" resultType="java.lang.Long">
    <!--@mbg.generated-->
    select count(*) from tk_common_task
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--@mbg.generated-->
    update tk_common_task
    <set>
      <if test="record.id != null">
        id = #{record.id},
      </if>
      <if test="record.baseId != null">
        base_id = #{record.baseId},
      </if>
      <if test="record.tkId != null">
        tk_id = #{record.tkId},
      </if>
      <if test="record.tkStatus != null">
        tk_status = #{record.tkStatus},
      </if>
      <if test="record.tkName != null">
        tk_name = #{record.tkName},
      </if>
      <if test="record.releaseUserId != null">
        release_user_id = #{record.releaseUserId},
      </if>
      <if test="record.releaseUserName != null">
        release_user_name = #{record.releaseUserName},
      </if>
      <if test="record.assignedUserId != null">
        assigned_user_id = #{record.assignedUserId},
      </if>
      <if test="record.assignedUserName != null">
        assigned_user_name = #{record.assignedUserName},
      </if>
      <if test="record.assignedDeptIds != null">
        assigned_dept_ids = #{record.assignedDeptIds},
      </if>
      <if test="record.assignedDeptNames != null">
        assigned_dept_names = #{record.assignedDeptNames},
      </if>
      <if test="record.performUserId != null">
        perform_user_id = #{record.performUserId},
      </if>
      <if test="record.performUserName != null">
        perform_user_name = #{record.performUserName},
      </if>
      <if test="record.assignedEndTime != null">
        assigned_end_time = #{record.assignedEndTime},
      </if>
      <if test="record.assignedTime != null">
        assigned_time = #{record.assignedTime},
      </if>
      <if test="record.assignedNode != null">
        assigned_node = #{record.assignedNode},
      </if>
      <if test="record.performPicture != null">
        perform_picture = #{record.performPicture},
      </if>
      <if test="record.performNode != null">
        perform_node = #{record.performNode},
      </if>
      <if test="record.zpVerificationUserId != null">
        zp_verification_user_id = #{record.zpVerificationUserId},
      </if>
      <if test="record.zpVerificationUserName != null">
        zp_verification_user_name = #{record.zpVerificationUserName},
      </if>
      <if test="record.verificationUserId != null">
        verification_user_id = #{record.verificationUserId},
      </if>
      <if test="record.verificationUserName != null">
        verification_user_name = #{record.verificationUserName},
      </if>
      <if test="record.verificationEndTime != null">
        verification_end_time = #{record.verificationEndTime},
      </if>
      <if test="record.verificationTime != null">
        verification_time = #{record.verificationTime},
      </if>
      <if test="record.verificationNode != null">
        verification_node = #{record.verificationNode},
      </if>
      <if test="record.verificationStatus != null">
        verification_status = #{record.verificationStatus},
      </if>
      <if test="record.tkScore != null">
        tk_score = #{record.tkScore},
      </if>
      <if test="record.endNode != null">
        end_node = #{record.endNode},
      </if>
      <if test="record.endTime != null">
        end_time = #{record.endTime},
      </if>
      <if test="record.priorityType != null">
        priority_type = #{record.priorityType},
      </if>
      <if test="record.belongGrid != null">
        belong_grid = #{record.belongGrid},
      </if>
      <if test="record.matterType != null">
        matter_type = #{record.matterType},
      </if>
      <if test="record.matterId != null">
        matter_id = #{record.matterId},
      </if>
      <if test="record.matterName != null">
        matter_name = #{record.matterName},
      </if>
      <if test="record.timeDelay != null">
        time_delay = #{record.timeDelay},
      </if>
      <if test="record.isDelete != null">
        is_delete = #{record.isDelete},
      </if>
      <if test="record.releaseTime != null">
        release_time = #{record.releaseTime},
      </if>
      <if test="record.tkAddress != null">
        tk_address = #{record.tkAddress},
      </if>
      <if test="record.handleType != null">
        handle_type = #{record.handleType},
      </if>
      <if test="record.tkDetail != null">
        tk_detail = #{record.tkDetail},
      </if>
      <if test="record.filePath != null">
        file_path = #{record.filePath},
      </if>
      <if test="record.overseeId != null">
        oversee_id = #{record.overseeId},
      </if>
      <if test="record.createTime != null">
        create_time = #{record.createTime},
      </if>
      <if test="record.createBy != null">
        create_by = #{record.createBy},
      </if>
      <if test="record.updateTime != null">
        update_time = #{record.updateTime},
      </if>
      <if test="record.updateBy != null">
        update_by = #{record.updateBy},
      </if>
      <if test="record.standby1 != null">
        standby1 = #{record.standby1},
      </if>
      <if test="record.standby2 != null">
        standby2 = #{record.standby2},
      </if>
      <if test="record.standby3 != null">
        standby3 = #{record.standby3},
      </if>
      <if test="record.standby4 != null">
        standby4 = #{record.standby4},
      </if>
      <if test="record.standby5 != null">
        standby5 = #{record.standby5},
      </if>
      <if test="record.roundSubtaskId != null">
        round_subtask_id = #{record.roundSubtaskId},
      </if>
      <if test="record.roundSubtaskCode != null">
        round_subtask_code = #{record.roundSubtaskCode},
      </if>
      <if test="record.wgCode != null">
        wg_code = #{record.wgCode},
      </if>
      <if test="record.longitude != null">
        longitude = #{record.longitude},
      </if>
      <if test="record.latitude != null">
        latitude = #{record.latitude},
      </if>
      <if test="record.pjPersonId != null">
        pj_person_id = #{record.pjPersonId},
      </if>
      <if test="record.pjPersonName != null">
        pj_person_name = #{record.pjPersonName},
      </if>
      <if test="record.releaseUserRoleNum != null">
        release_user_role_num = #{record.releaseUserRoleNum},
      </if>
      <if test="record.acceptTime != null">
        accept_time = #{record.acceptTime},
      </if>
      <if test="record.litigationType != null">
        litigation_type = #{record.litigationType},
      </if>
      <if test="record.complaintsPerson != null">
        complaints_person = #{record.complaintsPerson},
      </if>
      <if test="record.complaintsPhone != null">
        complaints_phone = #{record.complaintsPhone},
      </if>
      <if test="record.objectId != null">
        object_id = #{record.objectId},
      </if>
      <if test="record.comeFrom != null">
        come_from = #{record.comeFrom},
      </if>
      <if test="record.wgParentId != null">
        wg_parent_id = #{record.wgParentId},
      </if>
      <if test="record.wgParentName != null">
        wg_parent_name = #{record.wgParentName},
      </if>
      <if test="record.parentMattetrId != null">
        parent_mattetr_id = #{record.parentMattetrId},
      </if>
      <if test="record.parentMattetrName != null">
        parent_mattetr_name = #{record.parentMattetrName},
      </if>
      <if test="record.gldxId != null">
        gldx_id = #{record.gldxId},
      </if>
      <if test="record.xietiao != null">
        xietiao = #{record.xietiao},
      </if>
      <if test="record.tongzhiStatus != null">
        tongzhi_status = #{record.tongzhiStatus},
      </if>
      <if test="record.roundMatterId != null">
        round_matter_id = #{record.roundMatterId},
      </if>
      <if test="record.formId != null">
        form_id = #{record.formId},
      </if>
      <if test="record.adviceId != null">
        advice_id = #{record.adviceId},
      </if>
      <if test="record.num != null">
        num = #{record.num},
      </if>
      <if test="record.waitingtime != null">
        waitingTime = #{record.waitingtime},
      </if>
      <if test="record.plantime != null">
        planTime = #{record.plantime},
      </if>
      <if test="record.updatetime != null">
        updateTime = #{record.updatetime},
      </if>
      <if test="record.incomingphone != null">
        incomingPhone = #{record.incomingphone},
      </if>
      <if test="record.formstatus != null">
        formStatus = #{record.formstatus},
      </if>
      <if test="record.flag != null">
        flag = #{record.flag},
      </if>
      <if test="record.qianshouorbohui != null">
        qianshouOrBohui = #{record.qianshouorbohui},
      </if>
      <if test="record.isdelaytime != null">
        isDelayTime = #{record.isdelaytime},
      </if>
      <if test="record.hechaPic != null">
        hecha_pic = #{record.hechaPic},
      </if>
      <if test="record.isYouxiao != null">
        is_youxiao = #{record.isYouxiao},
      </if>
      <if test="record.sqBack != null">
        sq_back = #{record.sqBack},
      </if>
      <if test="record.gsType != null">
        gs_type = #{record.gsType},
      </if>
      <if test="record.isHst != null">
        is_hst = #{record.isHst},
      </if>
      <if test="record.pingfen != null">
        pingfen = #{record.pingfen},
      </if>
      <if test="record.pingfenreason != null">
        pingfenreason = #{record.pingfenreason},
      </if>
      <if test="record.wxUserId != null">
        wx_user_id = #{record.wxUserId},
      </if>
      <if test="record.guishuCode != null">
        guishu_code = #{record.guishuCode},
      </if>
      <if test="record.appUserId != null">
        app_user_id = #{record.appUserId},
      </if>
      <if test="record.isZhuanzhifa != null">
        is_zhuanzhifa = #{record.isZhuanzhifa},
      </if>
      <if test="record.isZhifalian != null">
        is_zhifalian = #{record.isZhifalian},
      </if>
      <if test="record.zhifashuoming != null">
        zhifashuoming = #{record.zhifashuoming},
      </if>
      <if test="record.performUserType != null">
        perform_user_type = #{record.performUserType},
      </if>
      <if test="record.taskType != null">
        task_type = #{record.taskType},
      </if>
      <if test="record.qprIds != null">
        qpr_ids = #{record.qprIds},
      </if>
      <if test="record.qprId != null">
        qpr_id = #{record.qprId},
      </if>
      <if test="record.qprName != null">
        qpr_name = #{record.qprName},
      </if>
      <if test="record.qprTime != null">
        qpr_time = #{record.qprTime},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--@mbg.generated-->
    update tk_common_task
    set id = #{record.id},
      base_id = #{record.baseId},
      tk_id = #{record.tkId},
      tk_status = #{record.tkStatus},
      tk_name = #{record.tkName},
      release_user_id = #{record.releaseUserId},
      release_user_name = #{record.releaseUserName},
      assigned_user_id = #{record.assignedUserId},
      assigned_user_name = #{record.assignedUserName},
      assigned_dept_ids = #{record.assignedDeptIds},
      assigned_dept_names = #{record.assignedDeptNames},
      perform_user_id = #{record.performUserId},
      perform_user_name = #{record.performUserName},
      assigned_end_time = #{record.assignedEndTime},
      assigned_time = #{record.assignedTime},
      assigned_node = #{record.assignedNode},
      perform_picture = #{record.performPicture},
      perform_node = #{record.performNode},
      zp_verification_user_id = #{record.zpVerificationUserId},
      zp_verification_user_name = #{record.zpVerificationUserName},
      verification_user_id = #{record.verificationUserId},
      verification_user_name = #{record.verificationUserName},
      verification_end_time = #{record.verificationEndTime},
      verification_time = #{record.verificationTime},
      verification_node = #{record.verificationNode},
      verification_status = #{record.verificationStatus},
      tk_score = #{record.tkScore},
      end_node = #{record.endNode},
      end_time = #{record.endTime},
      priority_type = #{record.priorityType},
      belong_grid = #{record.belongGrid},
      matter_type = #{record.matterType},
      matter_id = #{record.matterId},
      matter_name = #{record.matterName},
      time_delay = #{record.timeDelay},
      is_delete = #{record.isDelete},
      release_time = #{record.releaseTime},
      tk_address = #{record.tkAddress},
      handle_type = #{record.handleType},
      tk_detail = #{record.tkDetail},
      file_path = #{record.filePath},
      oversee_id = #{record.overseeId},
      create_time = #{record.createTime},
      create_by = #{record.createBy},
      update_time = #{record.updateTime},
      update_by = #{record.updateBy},
      standby1 = #{record.standby1},
      standby2 = #{record.standby2},
      standby3 = #{record.standby3},
      standby4 = #{record.standby4},
      standby5 = #{record.standby5},
      round_subtask_id = #{record.roundSubtaskId},
      round_subtask_code = #{record.roundSubtaskCode},
      wg_code = #{record.wgCode},
      longitude = #{record.longitude},
      latitude = #{record.latitude},
      pj_person_id = #{record.pjPersonId},
      pj_person_name = #{record.pjPersonName},
      release_user_role_num = #{record.releaseUserRoleNum},
      accept_time = #{record.acceptTime},
      litigation_type = #{record.litigationType},
      complaints_person = #{record.complaintsPerson},
      complaints_phone = #{record.complaintsPhone},
      object_id = #{record.objectId},
      come_from = #{record.comeFrom},
      wg_parent_id = #{record.wgParentId},
      wg_parent_name = #{record.wgParentName},
      parent_mattetr_id = #{record.parentMattetrId},
      parent_mattetr_name = #{record.parentMattetrName},
      gldx_id = #{record.gldxId},
      xietiao = #{record.xietiao},
      tongzhi_status = #{record.tongzhiStatus},
      round_matter_id = #{record.roundMatterId},
      form_id = #{record.formId},
      advice_id = #{record.adviceId},
      num = #{record.num},
      waitingTime = #{record.waitingtime},
      planTime = #{record.plantime},
      updateTime = #{record.updatetime},
      incomingPhone = #{record.incomingphone},
      formStatus = #{record.formstatus},
      flag = #{record.flag},
      qianshouOrBohui = #{record.qianshouorbohui},
      isDelayTime = #{record.isdelaytime},
      hecha_pic = #{record.hechaPic},
      is_youxiao = #{record.isYouxiao},
      sq_back = #{record.sqBack},
      gs_type = #{record.gsType},
      is_hst = #{record.isHst},
      pingfen = #{record.pingfen},
      pingfenreason = #{record.pingfenreason},
      wx_user_id = #{record.wxUserId},
      guishu_code = #{record.guishuCode},
      app_user_id = #{record.appUserId},
      is_zhuanzhifa = #{record.isZhuanzhifa},
      is_zhifalian = #{record.isZhifalian},
      zhifashuoming = #{record.zhifashuoming},
      perform_user_type = #{record.performUserType},
      task_type = #{record.taskType},
      qpr_ids = #{record.qprIds},
      qpr_id = #{record.qprId},
      qpr_name = #{record.qprName},
      qpr_time = #{record.qprTime}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.ruoyi.system.domain.task.TkCommonTask">
    <!--@mbg.generated-->
    update tk_common_task
    <set>
      <if test="baseId != null and baseId != ''">
        base_id = #{baseId},
      </if>
      <if test="tkId != null and tkId != ''">
        tk_id = #{tkId},
      </if>
      <if test="tkStatus != null">
        tk_status = #{tkStatus},
      </if>
      <if test="tkName != null and tkName != ''">
        tk_name = #{tkName},
      </if>
      <if test="releaseUserId != null and releaseUserId != ''">
        release_user_id = #{releaseUserId},
      </if>
      <if test="releaseUserName != null and releaseUserName != ''">
        release_user_name = #{releaseUserName},
      </if>
      <if test="assignedUserId != null and assignedUserId != ''">
        assigned_user_id = #{assignedUserId},
      </if>
      <if test="assignedUserName != null and assignedUserName != ''">
        assigned_user_name = #{assignedUserName},
      </if>
      <if test="assignedDeptIds != null and assignedDeptIds != ''">
        assigned_dept_ids = #{assignedDeptIds},
      </if>
      <if test="assignedDeptNames != null and assignedDeptNames != ''">
        assigned_dept_names = #{assignedDeptNames},
      </if>
      <if test="performUserId != null and performUserId != ''">
        perform_user_id = #{performUserId},
      </if>
      <if test="performUserName != null and performUserName != ''">
        perform_user_name = #{performUserName},
      </if>
      <if test="assignedEndTime != null">
        assigned_end_time = #{assignedEndTime},
      </if>
      <if test="assignedTime != null">
        assigned_time = #{assignedTime},
      </if>
      <if test="assignedNode != null and assignedNode != ''">
        assigned_node = #{assignedNode},
      </if>
      <if test="performPicture != null and performPicture != ''">
        perform_picture = #{performPicture},
      </if>
      <if test="performNode != null and performNode != ''">
        perform_node = #{performNode},
      </if>
      <if test="zpVerificationUserId != null and zpVerificationUserId != ''">
        zp_verification_user_id = #{zpVerificationUserId},
      </if>
      <if test="zpVerificationUserName != null and zpVerificationUserName != ''">
        zp_verification_user_name = #{zpVerificationUserName},
      </if>
      <if test="verificationUserId != null and verificationUserId != ''">
        verification_user_id = #{verificationUserId},
      </if>
      <if test="verificationUserName != null and verificationUserName != ''">
        verification_user_name = #{verificationUserName},
      </if>
      <if test="verificationEndTime != null">
        verification_end_time = #{verificationEndTime},
      </if>
      <if test="verificationTime != null">
        verification_time = #{verificationTime},
      </if>
      <if test="verificationNode != null and verificationNode != ''">
        verification_node = #{verificationNode},
      </if>
      <if test="verificationStatus != null">
        verification_status = #{verificationStatus},
      </if>
      <if test="tkScore != null">
        tk_score = #{tkScore},
      </if>
      <if test="endNode != null and endNode != ''">
        end_node = #{endNode},
      </if>
      <if test="endTime != null">
        end_time = #{endTime},
      </if>
      <if test="priorityType != null">
        priority_type = #{priorityType},
      </if>
      <if test="belongGrid != null and belongGrid != ''">
        belong_grid = #{belongGrid},
      </if>
      <if test="matterType != null">
        matter_type = #{matterType},
      </if>
      <if test="matterId != null and matterId != ''">
        matter_id = #{matterId},
      </if>
      <if test="matterName != null and matterName != ''">
        matter_name = #{matterName},
      </if>
      <if test="timeDelay != null">
        time_delay = #{timeDelay},
      </if>
      <if test="isDelete != null">
        is_delete = #{isDelete},
      </if>
      <if test="releaseTime != null">
        release_time = #{releaseTime},
      </if>
      <if test="tkAddress != null and tkAddress != ''">
        tk_address = #{tkAddress},
      </if>
      <if test="handleType != null">
        handle_type = #{handleType},
      </if>
      <if test="tkDetail != null and tkDetail != ''">
        tk_detail = #{tkDetail},
      </if>
      <if test="filePath != null and filePath != ''">
        file_path = #{filePath},
      </if>
      <if test="overseeId != null and overseeId != ''">
        oversee_id = #{overseeId},
      </if>
      <if test="createTime != null">
        create_time = #{createTime},
      </if>
      <if test="createBy != null and createBy != ''">
        create_by = #{createBy},
      </if>
      <if test="updateTime != null">
        update_time = #{updateTime},
      </if>
      <if test="updateBy != null and updateBy != ''">
        update_by = #{updateBy},
      </if>
      <if test="standby1 != null and standby1 != ''">
        standby1 = #{standby1},
      </if>
      <if test="standby2 != null and standby2 != ''">
        standby2 = #{standby2},
      </if>
      <if test="standby3 != null and standby3 != ''">
        standby3 = #{standby3},
      </if>
      <if test="standby4 != null and standby4 != ''">
        standby4 = #{standby4},
      </if>
      <if test="standby5 != null and standby5 != ''">
        standby5 = #{standby5},
      </if>
      <if test="roundSubtaskId != null and roundSubtaskId != ''">
        round_subtask_id = #{roundSubtaskId},
      </if>
      <if test="roundSubtaskCode != null and roundSubtaskCode != ''">
        round_subtask_code = #{roundSubtaskCode},
      </if>
      <if test="wgCode != null and wgCode != ''">
        wg_code = #{wgCode},
      </if>
      <if test="longitude != null and longitude != ''">
        longitude = #{longitude},
      </if>
      <if test="latitude != null and latitude != ''">
        latitude = #{latitude},
      </if>
      <if test="pjPersonId != null and pjPersonId != ''">
        pj_person_id = #{pjPersonId},
      </if>
      <if test="pjPersonName != null and pjPersonName != ''">
        pj_person_name = #{pjPersonName},
      </if>
      <if test="releaseUserRoleNum != null">
        release_user_role_num = #{releaseUserRoleNum},
      </if>
      <if test="acceptTime != null">
        accept_time = #{acceptTime},
      </if>
      <if test="litigationType != null">
        litigation_type = #{litigationType},
      </if>
      <if test="complaintsPerson != null and complaintsPerson != ''">
        complaints_person = #{complaintsPerson},
      </if>
      <if test="complaintsPhone != null and complaintsPhone != ''">
        complaints_phone = #{complaintsPhone},
      </if>
      <if test="objectId != null and objectId != ''">
        object_id = #{objectId},
      </if>
      <if test="comeFrom != null">
        come_from = #{comeFrom},
      </if>
      <if test="wgParentId != null and wgParentId != ''">
        wg_parent_id = #{wgParentId},
      </if>
      <if test="wgParentName != null and wgParentName != ''">
        wg_parent_name = #{wgParentName},
      </if>
      <if test="parentMattetrId != null and parentMattetrId != ''">
        parent_mattetr_id = #{parentMattetrId},
      </if>
      <if test="parentMattetrName != null and parentMattetrName != ''">
        parent_mattetr_name = #{parentMattetrName},
      </if>
      <if test="gldxId != null and gldxId != ''">
        gldx_id = #{gldxId},
      </if>
      <if test="xietiao != null and xietiao != ''">
        xietiao = #{xietiao},
      </if>
      <if test="tongzhiStatus != null and tongzhiStatus != ''">
        tongzhi_status = #{tongzhiStatus},
      </if>
      <if test="roundMatterId != null and roundMatterId != ''">
        round_matter_id = #{roundMatterId},
      </if>
      <if test="formId != null and formId != ''">
        form_id = #{formId},
      </if>
      <if test="adviceId != null and adviceId != ''">
        advice_id = #{adviceId},
      </if>
      <if test="num != null and num != ''">
        num = #{num},
      </if>
      <if test="waitingtime != null">
        waitingTime = #{waitingtime},
      </if>
      <if test="plantime != null">
        planTime = #{plantime},
      </if>
      <if test="updatetime != null">
        updateTime = #{updatetime},
      </if>
      <if test="incomingphone != null and incomingphone != ''">
        incomingPhone = #{incomingphone},
      </if>
      <if test="formstatus != null and formstatus != ''">
        formStatus = #{formstatus},
      </if>
      <if test="flag != null">
        flag = #{flag},
      </if>
      <if test="qianshouorbohui != null">
        qianshouOrBohui = #{qianshouorbohui},
      </if>
      <if test="isdelaytime != null">
        isDelayTime = #{isdelaytime},
      </if>
      <if test="hechaPic != null and hechaPic != ''">
        hecha_pic = #{hechaPic},
      </if>
      <if test="isYouxiao != null">
        is_youxiao = #{isYouxiao},
      </if>
      <if test="sqBack != null">
        sq_back = #{sqBack},
      </if>
      <if test="gsType != null">
        gs_type = #{gsType},
      </if>
      <if test="isHst != null">
        is_hst = #{isHst},
      </if>
      <if test="pingfen != null">
        pingfen = #{pingfen},
      </if>
      <if test="pingfenreason != null and pingfenreason != ''">
        pingfenreason = #{pingfenreason},
      </if>
      <if test="wxUserId != null and wxUserId != ''">
        wx_user_id = #{wxUserId},
      </if>
      <if test="guishuCode != null and guishuCode != ''">
        guishu_code = #{guishuCode},
      </if>
      <if test="appUserId != null and appUserId != ''">
        app_user_id = #{appUserId},
      </if>
      <if test="isZhuanzhifa != null">
        is_zhuanzhifa = #{isZhuanzhifa},
      </if>
      <if test="isZhifalian != null">
        is_zhifalian = #{isZhifalian},
      </if>
      <if test="zhifashuoming != null and zhifashuoming != ''">
        zhifashuoming = #{zhifashuoming},
      </if>
      <if test="performUserType != null and performUserType != ''">
        perform_user_type = #{performUserType},
      </if>
      <if test="taskType != null and taskType != ''">
        task_type = #{taskType},
      </if>
      <if test="qprIds != null and qprIds != ''">
        qpr_ids = #{qprIds},
      </if>
      <if test="qprId != null and qprId != ''">
        qpr_id = #{qprId},
      </if>
      <if test="qprName != null and qprName != ''">
        qpr_name = #{qprName},
      </if>
      <if test="qprTime != null">
        qpr_time = #{qprTime},
      </if>
    </set>
    where id = #{id}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.ruoyi.system.domain.task.TkCommonTask">
    <!--@mbg.generated-->
    update tk_common_task
    set base_id = #{baseId},
      tk_id = #{tkId},
      tk_status = #{tkStatus},
      tk_name = #{tkName},
      release_user_id = #{releaseUserId},
      release_user_name = #{releaseUserName},
      assigned_user_id = #{assignedUserId},
      assigned_user_name = #{assignedUserName},
      assigned_dept_ids = #{assignedDeptIds},
      assigned_dept_names = #{assignedDeptNames},
      perform_user_id = #{performUserId},
      perform_user_name = #{performUserName},
      assigned_end_time = #{assignedEndTime},
      assigned_time = #{assignedTime},
      assigned_node = #{assignedNode},
      perform_picture = #{performPicture},
      perform_node = #{performNode},
      zp_verification_user_id = #{zpVerificationUserId},
      zp_verification_user_name = #{zpVerificationUserName},
      verification_user_id = #{verificationUserId},
      verification_user_name = #{verificationUserName},
      verification_end_time = #{verificationEndTime},
      verification_time = #{verificationTime},
      verification_node = #{verificationNode},
      verification_status = #{verificationStatus},
      tk_score = #{tkScore},
      end_node = #{endNode},
      end_time = #{endTime},
      priority_type = #{priorityType},
      belong_grid = #{belongGrid},
      matter_type = #{matterType},
      matter_id = #{matterId},
      matter_name = #{matterName},
      time_delay = #{timeDelay},
      is_delete = #{isDelete},
      release_time = #{releaseTime},
      tk_address = #{tkAddress},
      handle_type = #{handleType},
      tk_detail = #{tkDetail},
      file_path = #{filePath},
      oversee_id = #{overseeId},
      create_time = #{createTime},
      create_by = #{createBy},
      update_time = #{updateTime},
      update_by = #{updateBy},
      standby1 = #{standby1},
      standby2 = #{standby2},
      standby3 = #{standby3},
      standby4 = #{standby4},
      standby5 = #{standby5},
      round_subtask_id = #{roundSubtaskId},
      round_subtask_code = #{roundSubtaskCode},
      wg_code = #{wgCode},
      longitude = #{longitude},
      latitude = #{latitude},
      pj_person_id = #{pjPersonId},
      pj_person_name = #{pjPersonName},
      release_user_role_num = #{releaseUserRoleNum},
      accept_time = #{acceptTime},
      litigation_type = #{litigationType},
      complaints_person = #{complaintsPerson},
      complaints_phone = #{complaintsPhone},
      object_id = #{objectId},
      come_from = #{comeFrom},
      wg_parent_id = #{wgParentId},
      wg_parent_name = #{wgParentName},
      parent_mattetr_id = #{parentMattetrId},
      parent_mattetr_name = #{parentMattetrName},
      gldx_id = #{gldxId},
      xietiao = #{xietiao},
      tongzhi_status = #{tongzhiStatus},
      round_matter_id = #{roundMatterId},
      form_id = #{formId},
      advice_id = #{adviceId},
      num = #{num},
      waitingTime = #{waitingtime},
      planTime = #{plantime},
      updateTime = #{updatetime},
      incomingPhone = #{incomingphone},
      formStatus = #{formstatus},
      flag = #{flag},
      qianshouOrBohui = #{qianshouorbohui},
      isDelayTime = #{isdelaytime},
      hecha_pic = #{hechaPic},
      is_youxiao = #{isYouxiao},
      sq_back = #{sqBack},
      gs_type = #{gsType},
      is_hst = #{isHst},
      pingfen = #{pingfen},
      pingfenreason = #{pingfenreason},
      wx_user_id = #{wxUserId},
      guishu_code = #{guishuCode},
      app_user_id = #{appUserId},
      is_zhuanzhifa = #{isZhuanzhifa},
      is_zhifalian = #{isZhifalian},
      zhifashuoming = #{zhifashuoming},
      perform_user_type = #{performUserType},
      task_type = #{taskType},
      qpr_ids = #{qprIds},
      qpr_id = #{qprId},
      qpr_name = #{qprName},
      qpr_time = #{qprTime}
    where id = #{id}
  </update>
</mapper>